## org.eclipse.datatools.enablement.ase.catalog
Class SybaseASECatalogTrigger

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl
                                      org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASETriggerImpl
                                          org.eclipse.datatools.enablement.ase.catalog.SybaseASECatalogTrigger

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ICatalogObject, SybaseASETrigger, SQLObject, Trigger, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASECatalogTrigger

extends SybaseASETriggerImpl
implements ICatalogObject, org.eclipse.core.runtime.IAdaptable

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASECatalogTrigger()`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`org.eclipse.emf.common.util.EList` `getActionStatement()` Returns the value of the 'Action Statement' containment reference list.
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`boolean` `isDeleteType()` Returns the value of the 'Delete Type' attribute.
`boolean` `isInsertType()` Returns the value of the 'Insert Type' attribute.
`boolean` `isUpdateType()` Returns the value of the 'Update Type' attribute.
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASETriggerImpl
`eGet, eIsSet, eSet, eUnset, isEnabled, setEnabled, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl

`basicGetSchema, basicGetSubjectTable, basicSetSchema, basicSetSubjectTable, basicSetWhen, eInverseAdd, eInverseRemove, getActionGranularity, getActionTime, getNewRow, getNewTable, getOldRow, getOldTable, getSchema, getSubjectTable, getTimeStamp, getTriggerColumn, getWhen, setActionGranularity, setActionTime, setDeleteType, setInsertType, setNewRow, setNewTable, setOldRow, setOldTable, setSchema, setSubjectTable, setUpdateType, setWhen`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Trigger
`getActionGranularity, getActionTime, getNewRow, getNewTable, getOldRow, getOldTable, getSchema, getSubjectTable, getTimeStamp, getTriggerColumn, getWhen, setActionGranularity, setActionTime, setDeleteType, setInsertType, setNewRow, setNewTable, setOldRow, setOldTable, setSchema, setSubjectTable, setUpdateType, setWhen`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybaseASECatalogTrigger

    public SybaseASECatalogTrigger()

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getActionStatement

    public org.eclipse.emf.common.util.EList getActionStatement()

  Description copied from interface: `Trigger`
  Returns the value of the 'Action Statement' containment reference list. The list contents are of type `SQLStatement`.

  If the meaning of the 'Action Statement' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getActionStatement` in interface `Trigger`
  Overrides:
    `getActionStatement` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`
  Returns:
    the value of the 'Action Statement' containment reference list.
  See Also:
    `SQLTablesPackage.getTrigger_ActionStatement()`

### isDeleteType

    public boolean isDeleteType()

  Description copied from interface: `Trigger`
  Returns the value of the 'Delete Type' attribute.

  If the meaning of the 'Delete Type' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isDeleteType` in interface `Trigger`
  Overrides:
    `isDeleteType` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`
  Returns:
    the value of the 'Delete Type' attribute.
  See Also:
    `Trigger.setDeleteType(boolean)`, `SQLTablesPackage.getTrigger_DeleteType()`

### isUpdateType

    public boolean isUpdateType()

  Description copied from interface: `Trigger`
  Returns the value of the 'Update Type' attribute.

  If the meaning of the 'Update Type' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isUpdateType` in interface `Trigger`
  Overrides:
    `isUpdateType` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`
  Returns:
    the value of the 'Update Type' attribute.
  See Also:
    `Trigger.setUpdateType(boolean)`, `SQLTablesPackage.getTrigger_UpdateType()`

### isInsertType

    public boolean isInsertType()

  Description copied from interface: `Trigger`
  Returns the value of the 'Insert Type' attribute.

  If the meaning of the 'Insert Type' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isInsertType` in interface `Trigger`
  Overrides:
    `isInsertType` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`
  Returns:
    the value of the 'Insert Type' attribute.
  See Also:
    `Trigger.setInsertType(boolean)`, `SQLTablesPackage.getTrigger_InsertType()`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`